#ifndef AMPIRE_CFG_H_
#define AMPIRE_CFG_H_

/*****************************************************************/ 
/*              STEP1: Define MCU BUS type       */ 
/*****************************************************************/    
   	#define Mode80    // 8080 MCU  /WR  /RD 
  //#define Mode68    // 6800 MCU  R/W  E 
/*****************************************************************/ 
/*              STEP2: Define BUS wide            */    
/*****************************************************************/ 
  //#define C80_18B  
  	#define C80_16B 
  //#define C80_9B 
  //#define C80_8B 
/*****************************************************************/ 
/*              STEP3: Define Landscap/Portrait     */ 
/*****************************************************************/ 
  	#define Landscap 
  //#define Portrait  
/*****************************************************************/ 
/*              STEP4: Define Resolution            */ 
/*****************************************************************/ 
#ifdef Landscap   
	#define SCREEN_WIDTH				320
	#define SCREEN_HEIGHT				240  
#endif 
 
#ifdef Portrait   
	#define SCREEN_WIDTH				240
	#define SCREEN_HEIGHT				320 
#endif 
/*****************************************************************/ 
/*              STEP5: TFT timing                  				 */ 
/*****************************************************************/ 
 
#define Rising              0<<2     // Don't need to change 
#define Falling             1<<2     // Don't need to change 
 
#define LCD_DCLK            20        // Select DCLK Frequency MHz  
                                     // (can be 5,6,7,8,10,12,15, 18, 20, 22, 25,30, 80) 
#define LCD_VERIFY_CFG		
 
#define LCD_DCLK_Latch      Rising   // Rising: for Rising Edge 
                                     // Falling: for Rising Edge 
 
#define H_Sync_Pluse_Wide   10       // Hsync Pluse Wide  
#define H_Sync_to_DE        68       // DE horizontal start position 
#define H_Sync_total        408      // Horizontal total 
#define V_Sync_Pluse_Wide   8        // Vsync Pluse Wide    
#define V_Sync_to_DE        18       // DE vertical start position 
#define V_Sync_total        262      // Vertical total 


/*****************************************************************/ 
/*              STEP6: Control pins                  				 */ 
/*****************************************************************/

#define AMP_DEFAULT_RESET_PIN		86
#define AMP_DEFAULT_BACKLIGHT_PIN	87
#define AMP_RS_PIN					103


/*****************************
 * END CONFIGURATION SECTION *
 *****************************/
typedef enum LCD_ROTATE{
	ROT_0, 
	ROT_90, 
	ROT_270, 
	ROT_180
}	lcd_rotate_t;
extern int lcd_rotation;


void amp_init(void);
void amp_rotate(lcd_rotate_t deg);
void amp_reset(void);
#define AMP_BACKLIGHT_ON	naGpioSetOutput(AMP_DEFAULT_BACKLIGHT_PIN, 1)
#define AMP_BACKLIGHT_OFF 	naGpioSetOutput(AMP_DEFAULT_BACKLIGHT_PIN, 0)

//void void amp_enableController(int value); //Not implemented by Ampire hardware



//extern struct init_array init_data[];



#endif /*AMPIRE_CFG_H_*/
